MeetingServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.MeetingServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface MeetingServer

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface MeetingServer

extends LogicalElement

Naming Rules:
  0="parent" 1="managedSystemName"
Persistable:
  true
Table Name:
  MTGSVR
Display Name:
  parent

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getApplicationPath()`
`java.lang.String` | `getBasePath()`
`java.lang.String` | `getConfigurations()`
`java.lang.String` | `getLauncher()`
`int` | `getLogFileEnabled()`
`java.lang.String` | `getLogFileName()`
`SametimeServer` | `getParent()`
`java.lang.String` | `getProductVersion()`
`java.lang.String` | `getRootFilePath()`
`java.lang.String` | `getServerName()`
`java.lang.String` | `getToolkits()`
`boolean` | `hasApplicationPath()`
`boolean` | `hasBasePath()`
`boolean` | `hasConfigurations()`
`boolean` | `hasLauncher()`
`boolean` | `hasLogFileEnabled()`
`boolean` | `hasLogFileName()`
`boolean` | `hasParent()`
`boolean` | `hasProductVersion()`
`boolean` | `hasRootFilePath()`
`boolean` | `hasServerName()`
`boolean` | `hasToolkits()`
`void` | `setApplicationPath(java.lang.String s)`
`void` | `setBasePath(java.lang.String s)`
`void` | `setConfigurations(java.lang.String s)`
`void` | `setLauncher(java.lang.String s)`
`void` | `setLogFileEnabled(int s)`
`void` | `setLogFileName(java.lang.String s)`
`void` | `setParent(SametimeServer s)`
`void` | `setProductVersion(java.lang.String s)`
`void` | `setRootFilePath(java.lang.String s)`
`void` | `setServerName(java.lang.String s)`
`void` | `setToolkits(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(SametimeServer s)

### getParent

    SametimeServer getParent()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### hasParent

    boolean hasParent()

### setApplicationPath

    void setApplicationPath(java.lang.String s)

### getApplicationPath

    java.lang.String getApplicationPath()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasApplicationPath

    boolean hasApplicationPath()

### setBasePath

    void setBasePath(java.lang.String s)

### getBasePath

    java.lang.String getBasePath()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasBasePath

    boolean hasBasePath()

### setConfigurations

    void setConfigurations(java.lang.String s)

### getConfigurations

    java.lang.String getConfigurations()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasConfigurations

    boolean hasConfigurations()

### setLauncher

    void setLauncher(java.lang.String s)

### getLauncher

    java.lang.String getLauncher()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasLauncher

    boolean hasLauncher()

### setLogFileName

    void setLogFileName(java.lang.String s)

### getLogFileName

    java.lang.String getLogFileName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasLogFileName

    boolean hasLogFileName()

### setLogFileEnabled

    void setLogFileEnabled(int s)

### getLogFileEnabled

    int getLogFileEnabled()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasLogFileEnabled

    boolean hasLogFileEnabled()

### setRootFilePath

    void setRootFilePath(java.lang.String s)

### getRootFilePath

    java.lang.String getRootFilePath()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRootFilePath

    boolean hasRootFilePath()

### setServerName

    void setServerName(java.lang.String s)

### getServerName

    java.lang.String getServerName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasServerName

    boolean hasServerName()

### setToolkits

    void setToolkits(java.lang.String s)

### getToolkits

    java.lang.String getToolkits()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasToolkits

    boolean hasToolkits()

### setProductVersion

    void setProductVersion(java.lang.String s)

### getProductVersion

    java.lang.String getProductVersion()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasProductVersion

    boolean hasProductVersion()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD